import request from '@/utils/request'

// 查询详情主表列表
export function listDetails(query) {
  return request({
    url: '/warehouseBusiness/details/list',
    method: 'get',
    params: query
  })
}

// 查询详情主表详细
export function getDetails(fId) {
  return request({
    url: '/warehouseBusiness/details/' + fId,
    method: 'get'
  })
}

// 新增详情主表
export function addDetails(data) {
  return request({
    url: '/warehouseBusiness/details',
    method: 'post',
    data: data
  })
}

// 修改详情主表
export function updateDetails(data) {
  return request({
    url: '/warehouseBusiness/details',
    method: 'put',
    data: data
  })
}

// 删除详情主表
export function delDetails(fId) {
  return request({
    url: '/warehouseBusiness/details/' + fId,
    method: 'delete'
  })
}

// 导出详情主表
export function exportDetails(query) {
  return request({
    url: '/warehouseBusiness/details/export',
    method: 'get',
    params: query
  })
}